#pragma once

//#include <pcap.h>

#include "Layer.hh"
#include "Params.hh"

class PORT;

class PcapLayer : public PORT, public Layer {
    Params _params;
//    pcap_t *_device;
    int _pcap_h;

    virtual void Handle_Fd_Event_Readable(int fd) {};
  public:
    inline PcapLayer() : PORT("PcapLayer"), Layer(), _params(), /*_device(NULL),*/ _pcap_h(-1) {}
    PcapLayer(const std::string & type, const std::string & param);
    virtual ~PcapLayer() {}

    virtual void sendData(const OCTETSTRING& data, const Params& params);
    virtual void receiveData(const OCTETSTRING& data, const Params& info);
};

